﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Steema.TeeChart.Styles;

public partial class ChartPage : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        uiAsynch.Click += uiAsynch_Click;
        uiPostback.Click += uiPostback_Click;
        uiInternalButton.Click += uiInternalButton_Click;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        //******** first chart (top left) ************

        Steema.TeeChart.Chart ch2 = WebChart2.Chart;

        if (ch2.Series.Count < 1)
            ch2.Series.Add(new Steema.TeeChart.Styles.Points());

        ch2.Series[0].FillSampleValues(6);

        //******** second chart (top right) ************

        Steema.TeeChart.Chart ch3 = WebChart3.Chart;

        if (ch3.Series.Count < 1)
            ch3.Series.Add(new Steema.TeeChart.Styles.Points());

        ch3.Series[0].FillSampleValues(6);


        //******** bottom chart (in update panel) *********

        Steema.TeeChart.Chart ch1 = WebChart1.Chart;

        ch1.Aspect.View3D = false;

        if (ch1.Series.Count < 1)
           ch1.Series.Add(new Steema.TeeChart.Styles.Points());

        ch1.Series[0].Color = Color.FromArgb(255, 199, 26);

        ch1.Series[0].FillSampleValues(6);

        //********************************


        // test buttons see Ramani Sandeep's log:
        // http://ramanisandeep.net/2009/04/07/asyncpostbacktrigger-vs-postbacktrigger/

        uiPageTime.Text = DateTime.Now.ToLongTimeString();

        if (!IsPostBack)
        {
            uiTime.Text = DateTime.Now.ToLongTimeString();
        }
    }

    private void uiInternalButton_Click(object sender, EventArgs e)
    {
        uiTime.Text = "Internal @ " + DateTime.Now.ToLongTimeString();
    }

    private void uiPostback_Click(object sender, EventArgs e)
    {
        uiTime.Text = "Postback click @ " + DateTime.Now.ToLongTimeString();
        update.Update();
    }

    private void uiAsynch_Click(object sender, EventArgs e)
    {
        uiTime.Text = "Asych click @ " + DateTime.Now.ToLongTimeString();
        update.Update();
    }

    protected void WebChart1_ClickAxis(object sender, ImageClickEventArgs e)
    {
        int repaint = Convert.ToInt16(LabelChartTxt.Text);
        repaint++;
        LabelChartTxt.Text = repaint.ToString();
    }

    protected void WebChart2_ClickAxis(object sender, ImageClickEventArgs e)
    {
        int repaint = Convert.ToInt16(LabelTopChart.Text);
        repaint++;
        LabelTopChart.Text = repaint.ToString();
    }

    protected void WebChart3_ClickAxis(object sender, ImageClickEventArgs e)
    {
        int repaint = Convert.ToInt16(LabelMiddleChart.Text);
        repaint++;
        LabelMiddleChart.Text = repaint.ToString();
    }
    protected void update_PreRender(object sender, EventArgs e)
    {
        int repaint = Convert.ToInt16(LabelPanelRenderCount.Text);
        repaint++;
        LabelPanelRenderCount.Text = repaint.ToString();
    }
}
